<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('azmayesh_samples', function (Blueprint $table) {
            $table->id();
            $table->foreignId('azmayesh_id')->constrained('azmayeshes')->cascadeOnDelete();
            $table->string('azmayesh_project_name');
            $table->json('data');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('azmayesh_samples');
    }
};
